package text_xml;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Hashtable;
import org.sanskritlibrary.CardonaFile;
import org.sanskritlibrary.FSM;
import org.sanskritlibrary.ResourceInputStream;
import org.sanskritlibrary.XML;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class Main implements ResourceInputStream
{
    static Hashtable<String, FSM[]> fsmh = new Hashtable<String, FSM[]>();
    static ResourceInputStream ris = new Main();

    public static void main(String[] args) throws Exception
    {
        CardonaFile cf = new CardonaFile(fsmh, ris);
        XML doc = new XML("texts.xml");
        NodeList nodelist = doc.getNodeList("texts/text");
        int len = nodelist.getLength();
        for (int i=0; i<len; i++)
        {
            Node textnode = nodelist.item(i);
            String indir = ".";
            String outdir = ".";
            if (args.length > 0)
                indir = args[0]; //"C:/Users/ralph/Documents/PeterScharf/TextsSandhiAnalyzed/texts";
            if (args.length > 1)
                outdir = args[1]; // "C:/Users/ralph/Documents/PeterScharf/TextsSandhiAnalyzed/textsMatthias";

            cf.convertToXml(indir, outdir, textnode);
        }

    }

    public InputStream[] getInputStreams(String sourceEncoding, String targetEncoding)
    {
        String[] fileNames = FSM.createFileNames("", sourceEncoding, targetEncoding);
        InputStream[] iss = new InputStream[fileNames.length];
        int i = 0;

        for (String name : fileNames)
        {
            String fname = String.format(".%s", name);
            try
            {
                iss[i++] = new FileInputStream(fname);
            } catch (Exception ex)
            {
            }
        }

        return iss;
    }

}
